Bug 524760 - Creating a chrome less window of size equal to your screen resolution creates a window of that size and covers the system task bar.
Summary: Creating a chrome less window of size equal to your screen resolution creates...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 05:15 UTC by Damanjit Singh
Modified: 2014-06-18 09:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-16 21:57:16 UTC


Attachments (Terms of Use)

Description Damanjit Singh 2009-09-22 05:15:15 UTC
Description of problem:
Creating a chrome less window of size equal to your screen resolution creates a
window of that size and covers the system task bar.

Version-Release number of selected component (if applicable):


How reproducible:
// make a window chrome less 
GtkWidget* window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
gtk_window_set_decorations(GTK_WINDOW(window), FALSE);
gtk_window_show_all(window);

// set the size equal to screen resolution (1400 x 1050 in my case)
gtk_window_move(GTK_WINDOW(window), 0,0);
gtk_window_resize(GTK_WINDOW(window), 1400, 1050);


Actual results:
The window covers the whole desktop including the task bar.


Expected results:
The window should not cover the task bar, the WM should restrict the
window size to visible area

Comment 1 Owen Taylor 2009-11-16 21:57:16 UTC
metacity has some code to auto-fullscreen windows that look like they were meant to be fullscreen; I'm guessing this is what you are hitting. Not going to deviate from Metacity upstream on this.

Creating chromeless windows that are most of the screen but not fullscreen is a bit of an unusual activity - it seems like the behavior would usually be unsatisfactory and confusing for the user. If you do want to do this, I'd suggest using the _NET_WORKAREA property on the root window"

 http://standards.freedesktop.org/wm-spec/wm-spec-latest.html#id2550792

to figure out an optimum size.


Note You need to log in before you can comment on or make changes to this bug.